# NgxStrapiAuth

[![build pipeline](https://github.com/jabali2004/ngx-strapi-auth/actions/workflows/build.yml/badge.svg)](https://github.com/jabali2004/ngx-strapi-auth/actions/workflows/build.yml)

> NgxStrapiAuth is a Angular library that implements all standard operations like logging in or registering a user for the headless CMS Strapi.

Services and guards are provided, as well as ready-made components.

The goal of this project is to implement standard functionalities so that a developer does not have to deal with these tasks unnecessarily.

## Features

Currently implemented functionalities:

* login / logout user
* register new user
* update user
* reset / request password reset
* authenticating requests using interceptor
* auth guard / token guard
* ready to use routing module
* translation using [ngx-translate](https://github.com/ngx-translate/core)  
* authentifikation providers
  * google
  * github
  * microsoft
  * facebook
  * twitter

Finished Angular components:

* login
* logout
* register
* request password
* reset password
* profile (update password or user info)

## Upcoming Features

Currently planned functionalities:

* add more auth providers
* finish and enhance auth interceptor
* add multiple styling options
* making components more dynamic
* add better error handling for services / components

## More Information

[Documentation / Repository](https://github.com/jabali2004/ngx-strapi-auth)
