import { OnInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth.service';
import { StrapiAuthConfig, StrapiAuthProviders } from '../../../types/StrapiAuthConfig';
import { NbIconLibraries } from '@nebular/theme';
import * as i0 from "@angular/core";
export declare class LoginComponent implements OnInit, OnDestroy {
    protected authService: AuthService;
    protected cd: ChangeDetectorRef;
    protected router: Router;
    protected translate: TranslateService;
    iconPack: NbIconLibraries;
    strapiAuthConfig: StrapiAuthConfig;
    showMessages: any;
    errors: string[];
    messages: string[];
    submitted: boolean;
    rememberMe: boolean;
    authLoginReq: {
        email: any;
        password: any;
    };
    config: {
        passwordRequired: boolean;
        passwordMinLength: number;
        passwordMaxLength: number;
        emailRequired: boolean;
    };
    constructor(authService: AuthService, cd: ChangeDetectorRef, router: Router, translate: TranslateService, iconPack: NbIconLibraries, strapiAuthConfig: StrapiAuthConfig);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Login for local registered users
     */
    login(): void;
    /**
     * Login using third party provider
     */
    loginProvider(provider: StrapiAuthProviders): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "strapi-auth-login", never, {}, {}, never, never>;
}
