import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth.service';
import * as i0 from "@angular/core";
export declare class RegisterComponent implements OnInit, OnDestroy {
    protected cd: ChangeDetectorRef;
    protected router: Router;
    protected authService: AuthService;
    protected translate: TranslateService;
    redirectDelay: number;
    showMessages: any;
    authRegisterReq: {
        username: string;
        email: string;
        password: string;
        password_confirmation: string;
    };
    submitted: boolean;
    errors: string[];
    messages: string[];
    config: {
        firstnameRequired: boolean;
        firstnameMinLength: number;
        firstnameMaxLength: number;
        lastnameRequired: boolean;
        lastnameMinLength: number;
        lastnameMaxLength: number;
        usernameRequired: boolean;
        usernameMinLength: number;
        usernameMaxLength: number;
        emailRequired: boolean;
        passwordRequired: boolean;
        passwordMinLength: number;
        passwordMaxLength: number;
    };
    constructor(cd: ChangeDetectorRef, router: Router, authService: AuthService, translate: TranslateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    register(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegisterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegisterComponent, "strapi-register", never, {}, {}, never, never>;
}
