import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AuthService } from '../../services/auth.service';
import { IUser } from '../../types/models/User';
import { NbIconLibraries } from '@nebular/theme';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class ProfileComponent implements OnInit, OnDestroy {
    protected authService: AuthService;
    protected translate: TranslateService;
    iconPack: NbIconLibraries;
    form: FormGroup;
    passwordForm: FormGroup;
    oldUserObj: IUser;
    userObj: {
        firstname: any;
        lastname: any;
        email: any;
        username: any;
        password: any;
        password_confirmation: any;
        oldPassword: any;
        provider: any;
    };
    redirectDelay: number;
    showMessages: any;
    submitted: boolean;
    passwordSubmitted: boolean;
    errors: string[];
    messages: string[];
    config: {
        firstnameRequired: boolean;
        firstnameMinLength: number;
        firstnameMaxLength: number;
        lastnameRequired: boolean;
        lastnameMinLength: number;
        lastnameMaxLength: number;
        usernameRequired: boolean;
        usernameMinLength: number;
        usernameMaxLength: number;
        emailRequired: boolean;
        passwordRequired: boolean;
        passwordMinLength: number;
        passwordMaxLength: number;
    };
    constructor(authService: AuthService, translate: TranslateService, iconPack: NbIconLibraries);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Update UserData if changed
     */
    update(): void;
    /**
     * Update password if changed
     * and confirmed
     */
    updatePassword(): void;
    private clearErrors;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProfileComponent, "strapi-auth-profile", never, {}, {}, never, never>;
}
